<?php namespace SokoWeb\Response;

class JsonContent extends ContentBase
{
    public function __construct(array $data = [])
    {
        $this->data = $data;
    }

    public function render(): void
    {
        if (defined('SCRIPT_STARTED')) {
            $this->data['__debug_runtime'] = round((hrtime(true) - SCRIPT_STARTED) / 1e+6, 1);
        }

        echo json_encode($this->data);
    }

    public function getContentType(): string
    {
        return 'application/json';
    }
}
